[@rxap/form-system](../wiki/globals) / UseOptionsRemoteMethod

# Function: UseOptionsRemoteMethod()

> **UseOptionsRemoteMethod**(`dataSource`): (`target`, `propertyKey`) => `void`

Defined in: [packages/angular/form-system/src/lib/directives/options-from-remote-method.directive.ts:51](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/directives/options-from-remote-method.directive.ts#L51)

## Parameters

### dataSource

`Constructor`\<`BaseRemoteMethod`\<`ControlOptions`, `any`, `BaseRemoteMethodMetadata`\>\>

## Returns

`Function`

### Parameters

#### target

`any`

#### propertyKey

`string`

### Returns

`void`
